# deploiement vers le sserveur interne de dataviz
library(RCurl)
# creation de l'adresse de connexion FTP au serveur
con_ftp_svr_dataviz = paste0("ftp://", Sys.getenv("svr_dataviz_user_dtv"), ":", Sys.getenv("svr_dataviz_mdp_dtv"),
                             "@", Sys.getenv("svr_dataviz_ip"), "/gitlabr/")

# creation d'une fonction de transfert FTP vers le serveur à l'aide de ftpUpload de RCurl
## Les adresses des fichiers à transferer parte de la racine du projet RStudio
to_svr_dataviz_ftp <- function(fic = "app/shiny_siclop.RData") {
  ftpUpload(what = fic, to = paste0(con_ftp_svr_dataviz, fic))
}

# fichiers à transférer
app_files <- c("global.R", list.files("R/", full.names = TRUE, recursive = TRUE),
               "server.R", "ui.R", "dataviz_gitlabr.Rproj")
# Exécution des transferts
lapply(X = app_files, FUN = to_svr_dataviz_ftp)
